Page MenuHomePhabricator

Flow shows errors when users don't have VisualEditor installed
Open, LowPublic

Description

Steps to reproduce

  • Download flow of the master branch.
  • Install by following the extension instructions.

Actual Results

  • It shows up with this error ReferenceError: 've' is undefined ReferenceError: 've' is undefined

Sometimes with this error Unknown dependency: ext.visualEditor.core

Expected results

  • The visualeditor modules should only be loaded if VisualEditor is installed which I have not done since it shows it as optional in the instructions. If VisualEditor is not installed then WikiEditor should be next and then the basic inbuild editor please.

Event Timeline

Paladox created this task.Mar 28 2016, 2:32 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 28 2016, 2:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 279957 had a related patch set uploaded (by Paladox):
Make VisualEditor support truly optional

https://gerrit.wikimedia.org/r/279957

Jdforrester-WMF renamed this task from Flow shows VisualEditor errors when users doint have visualeditor installed to Flow shows errors when users don't have VisualEditor installed.Apr 26 2016, 6:40 PM
Jdforrester-WMF triaged this task as Lowest priority.
Jdforrester-WMF removed a project: VisualEditor.

Change 289996 had a related patch set uploaded (by Esanders):
Add VE module check to #isSupported

https://gerrit.wikimedia.org/r/289996

Change 279957 abandoned by Catrope:
Make VisualEditor support truly optional

Reason:
Superseded by Ed's patch

https://gerrit.wikimedia.org/r/279957

Change 289996 merged by jenkins-bot:
Add VE module check to #isSupported

https://gerrit.wikimedia.org/r/289996

Change 295459 had a related patch set uploaded (by Paladox):
Add VE module check to #isSupported

https://gerrit.wikimedia.org/r/295459

@Esanders and @Mattflaschen-WMF Hi, flow still errors out with visualeditor.

I am getting this error

ReferenceError: 've' is undefined ReferenceError: 've' is undefined

ext.flow.editors.visualeditor.js (1,3)

I'm not sure if this is an error

TypeError: Unable to get property 'static' of undefined or null reference TypeError: Unable to get property 'static' of undefined or null reference

but I get that when setting resource loader to debug.

Paladox raised the priority of this task from Lowest to Normal.Jul 3 2016, 12:03 PM

Changing to normal since it does shows on mw.org that visualeditor is optional, we shoulden change it on mw.org to say it is required.

Paladox lowered the priority of this task from Normal to Low.Jul 3 2016, 12:10 PM

Never mind we should add a check in Flow.php. since $wgFlowEditorList = array( 'visualeditor', 'wikitext' ); is the default. Need to change that to $wgFlowEditorList = array( 'wikitext' ); if visualeditor is not installed.

Change 295459 merged by jenkins-bot:
Add VE module check to #isSupported

https://gerrit.wikimedia.org/r/295459